GL-MT300N-V2 Lean luci-app-ssr-plus 编译问题

用 lean https://github.com/coolsnowwolf/lede 大佬的 代码编译出 GL-MT300N luci-app-ssr-plus.ipk
手动安装时 提示 kernel 版本 不兼容错误

使用 gl-inet 官方sdk + lede package(app-ssr-plus) 单独编译插件 报错。
有没有解决的办法呢。想用 app-ssr-plus ipk 有不想破坏 官方的 固件 重新刷 openwrt版本。

MT300N跟MT300N-v2是不一样的。不能混用。这个编译起来挺麻烦的。

软件库里面已经有ssr了,如果用的是v3.x固件的话,直接安装就好。

已经交叉编译成功了。
原来 在 gl-inet 官方 sdk 库上 集成 lean大神的 ssr-plus 一直失败
后来在 gl-inet开源的 openwrt 源码上 集成就成功了。

ipk 文件连接 密码 123456
https://rq0l7-my.sharepoint.com/:f:/g/personal/wilson_cao_65247078_xyz/EjFw2kjGhKNEgu9h_yNZB4cB4xYDFocRF44_Ex_cHWf7jw?e=suS3ZA

安装时需要先把 系统自带的 dnsmasq remove 掉
ssr plus 中 v2ray 和 ssr 编译时没有一起放入 自己用不到 就放入了 ss-lib

1 Like

我也想用这个,我也编译失败,你能简单这个,攻略或者帮我也编译一个吗,我需要的是ssr部分

步骤是
1 用官方 https://github.com/gl-inet/openwrt 源码
2 复制 coolsnowwolf/lede 插件 到官方源码 packages 中
3 修改 官方源码中的feeds .confg 加入 coolsnowwolf 中的 feeds 中的配置

其他的参考 coolsnowwolf/lede 编译步骤就可以了。

有空 我会编译下 包含ssr 插件部分看看